Skip to main content
POST
/
ml
/
projects
/
{id}
/
models
/
upload
Upload model to project
curl --request POST \
  --url https://acusight.io/api/ml/projects/{id}/models/upload \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'name=<string>' \
  --form model_file='@example-file' \
  --form version_id=123
{
  "data": {
    "artifact_uri": "<string>",
    "created_at": "<string>",
    "format": "<string>",
    "id": 123,
    "is_reference": true,
    "project_id": 123,
    "source_model_version_id": 123,
    "updated_at": "<string>",
    "version_id": 123
  },
  "error": {
    "code": "<string>",
    "details": "<string>",
    "message": "<string>"
  },
  "meta": {
    "count": 123,
    "limit": 123,
    "offset": 123,
    "total": 123
  },
  "success": true
}

Authorizations

Authorization
string
header
required

JWT access token. Paste the token only; the Bearer prefix is added automatically.

Path Parameters

id
integer
required

Project ID

Body

multipart/form-data
name
string
required

Model display name

model_file
file
required

Model artifact (.pt, .onnx, .tflite, .synap)

version_id
integer

Dataset version ID to attach to (optional)

Response

Model uploaded

data
object
error
object
meta
object
success
boolean